Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class MatrixPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.MatrixPeer

public class MatrixPeer
extends java.lang.Object

Constructor Summary
`MatrixPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `GetAngle(int i, float[] af)`
`static int` | `GetBlueOffset(int i, int[] ai)`
`static int` | `GetBlueScale(int i, float[] af)`
`static int` | `GetGreenOffset(int i, int[] ai)`
`static int` | `GetGreenScale(int i, float[] af)`
`static int` | `GetRedOffset(int i, int[] ai)`
`static int` | `GetRedScale(int i, float[] af)`
`static int` | `GetXOffset(int i, int[] ai)`
`static int` | `GetXScale(int i, float[] af)`
`static int` | `GetYOffset(int i, int[] ai)`
`static int` | `GetYScale(int i, float[] af)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetAngle(int i, float f)`
`static int` | `SetBlueOffset(int i, int j)`
`static int` | `SetBlueScale(int i, float f)`
`static int` | `SetBrightness(int i, float f)`
`static int` | `SetColorTint(int i, int j, float f)`
`static int` | `SetGreenOffset(int i, int j)`
`static int` | `SetGreenScale(int i, float f)`
`static int` | `SetRedOffset(int i, int j)`
`static int` | `SetRedScale(int i, float f)`
`static int` | `SetRgbTint(int i, int j, float f)`
`static int` | `SetXOffset(int i, int j)`
`static int` | `SetXScale(int i, float f)`
`static int` | `SetYOffset(int i, int j)`
`static int` | `SetYScale(int i, float f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatrixPeer

    public MatrixPeer()

Method Detail

### GetAngle

    public static int GetAngle(int i,
                               float[] af)

### GetBlueOffset

    public static int GetBlueOffset(int i,
                                    int[] ai)

### GetBlueScale

    public static int GetBlueScale(int i,
                                   float[] af)

### GetGreenOffset

    public static int GetGreenOffset(int i,
                                     int[] ai)

### GetGreenScale

    public static int GetGreenScale(int i,
                                    float[] af)

### GetRedOffset

    public static int GetRedOffset(int i,
                                   int[] ai)

### GetRedScale

    public static int GetRedScale(int i,
                                  float[] af)

### GetXOffset

    public static int GetXOffset(int i,
                                 int[] ai)

### GetXScale

    public static int GetXScale(int i,
                                float[] af)

### GetYOffset

    public static int GetYOffset(int i,
                                 int[] ai)

### GetYScale

    public static int GetYScale(int i,
                                float[] af)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetAngle

    public static int SetAngle(int i,
                               float f)

### SetBlueOffset

    public static int SetBlueOffset(int i,
                                    int j)

### SetBlueScale

    public static int SetBlueScale(int i,
                                   float f)

### SetBrightness

    public static int SetBrightness(int i,
                                    float f)

### SetColorTint

    public static int SetColorTint(int i,
                                   int j,
                                   float f)

### SetGreenOffset

    public static int SetGreenOffset(int i,
                                     int j)

### SetGreenScale

    public static int SetGreenScale(int i,
                                    float f)

### SetRedOffset

    public static int SetRedOffset(int i,
                                   int j)

### SetRedScale

    public static int SetRedScale(int i,
                                  float f)

### SetRgbTint

    public static int SetRgbTint(int i,
                                 int j,
                                 float f)

### SetXOffset

    public static int SetXOffset(int i,
                                 int j)

### SetXScale

    public static int SetXScale(int i,
                                float f)

### SetYOffset

    public static int SetYOffset(int i,
                                 int j)

### SetYScale

    public static int SetYScale(int i,
                                float f)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD